# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.72"
name = "r2x-config"
version = "0.0.5"
authors = [
    "pesap <pesap@users.noreply.github.com>",
    "Micah Webb <micahpw@users.noreply.github.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Configuration management for the r2x CLI"
homepage = "https://github.com/NREL/r2x-cli"
documentation = "https://docs.rs/r2x"
readme = false
license = "BSD-3-Clause"
repository = "https://github.com/NREL/r2x-cli"

[lib]
name = "r2x_config"
path = "src/lib.rs"

[dependencies.dirs]
version = "6.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.toml]
version = "0.9"
features = ["preserve_order"]

[dependencies.which]
version = "8.0.0"
